Update report

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Update a Report

Updates (or changes) a specific, existing report based on report ID and other parameters (see below).

See Parameters and Authentication below.

Sample Request

{"report_id": "17895",
 "report_type": "EntityReport",
 "report":
  {"fields": "203844",
   "sort_fields": "203844",
   "name": "v3 test sonali3 5",
   "output": "pdf",
   "size": "Letter",
   "orientation": "1",
   "has_gridlines": "1",
   "font_size": "12",
   "entity_id": "12993",
   "sum_currency": "true",
   "sum_number": "false",
   "company_logo": "true",
   "reportable_id": "",
   "depreciable_object": "0",
   "begin_date": "",
   "end_date": "",
   "appreciable_object": "false",
   "appreciation_start_date": "",
   "appreciation_end_date": "",
   "default_image": "true",
   "group_page_break": "false"},
 "entity_embed_yn": "false",
 "object_selector": "0",
 "reportable_value": ""
}

Parameters

Path ParametersRequired/OptionalDescriptionType
report_idrequiredThe value for the report you want to update.string
Query ParametersRequired/OptionalDescriptionType
response_fieldsrequiredThe name and ID of the specified fields to be returned in the update.string
Body ParametersRequired/OptionalDescriptionType
report_idrequiredThe value for the report you want to update.string
report_typerequiredThe type of report you want to update.string
reportrequiredList of required, specific objects you want to be updated within your report. See Report Objects List below.object
object_selectorrequiredThe categories to group reports by.string
reportable_valuerequiredThe value in which to report.string

Report Objects List

  • fields: The list of available fields that can be selected to include within the report.
  • sort_fields: The fields that have been selected to be included within the report.
  • name: The name of the report.
  • output: The output of the report (pdf, csv, Excel, screen).
  • size: The size (letter or A4) of the page.
  • orientation: The orientation (landscape or portrait) of the page.
  • has_gridlines: Allows gridlines (or not) to display on the report.
  • font_size: The size of the font on the report.
  • entity_id: The ID of the group you want to pull information from.
  • sum_currency: Included in reports that use currency fields. This selection provides total sums in the report when selected and is set to true by default (when pdf output is selected).
  • sum_number: Included in reports that use numeric fields. This selection provides numeric totals in the report when selected and is set to false by default (when pdf output is selected).
  • company_logo: Select to display a company logo on the report (or not).
  • reportable_id: Dependent on the report type (group, action, etc.).
  • depreciable_object: Allows the object to depreciate in value (or not).
  • begin_date: The date on which to begin gathering data for the report.
  • end_date: The date on which to conclude gathering data for the report.
  • appreciable_object: Allows the object to appreciate in value (or not).
  • appreciation_start_date: Selects the start date for the object to begin its appreciation of value.
  • appreciation_end_date: Selects the end date for the object to end its appreciation of value.
  • default_image: Allows a default image to display on the report (or not).
  • group_page_break: Allows for page breaks (between groups) within the report.

Authentication

KeyDetails
AuthorizationYour Bearer token.
Path Params
integer
required
Query Params
string
Body Params
string
required
string
required
report
object
required
string
string
string
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!